#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		certname	local_cert
%define		dhname		local_dh
#-----------------------------------------------------------------------------
Name		:	libgpg-error
Version		:	1.46
Release		:	14.8.0.0%{?dist}
Summary		:	Library for error values used by GnuPG components
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.gnupg.org/ftp/gcrypt/libgpg-error/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
%description
Libgpg-error is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, Libksba, DirMngr, Pinentry, SmartCard Daemon and more.
Meanwhile Libgcrypt also sports functions commonly used by all GnuPG
components and which are believed to be generally useful.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/gpg-error
%{_bindir}/gpg-error-config
%{_bindir}/gpgrt-config
%{_bindir}/yat2m
%{_includedir}/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/gpg-error.pc
%{_datadir}/common-lisp/source/gpg-error/*.{asd,lisp}
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}/errorref.txt
%{_infodir}/gpgrt.info.gz
%{_mandir}/man1/gpg-error-config.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-install-gpg-error-config		\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm}  %{buildroot}/%{_datadir}/info/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
